﻿ <!--Contact Form Start-->
<div class="contact-page">
    <div class="col-md-12 col-sm-12 col-xs-12">
        <div class="contact-form">
            <div class="row">
                <form id="contactForm" name="contactForm" novalidate="novalidate" class="contact-form">
                    <div class="col-md-6 col-sm-6 col-xs-12" data-ng-class="{'has-error':contactForm.Name.$error.required && vm.onClickValidation}">
                        <input type="text" id="name" name="Name" class="form-control" placeholder="Name" required="required" data-ng-model="vm.record.name">
                        <p class="red" data-ng-if="contactForm.Name.$error.required && vm.onClickValidation">Name is required </p>
                    </div>
                    <div class="col-md-6 col-sm-6 col-xs-12" data-ng-class="{'has-error':contactForm.Email.$error.required && vm.onClickValidation}">
                        <input type="email" class="email form-control" id="email" name="email" placeholder="Email" ng-pattern="/^([A-Za-z0-9_\-\.])+\@([A-Za-z0-9_\-\.])+\.([A-Za-z]{2,4})$/" required="required" data-ng-model="vm.record.email">
                        <p class="red" data-ng-if="contactForm.email.$error.required && vm.onClickValidation">Email is required </p>
                        <p class="red" data-ng-if="contactForm['email'+$index].$dirty && contactForm['email'+$index].$error.pattern">Please enter valid email</p>
                    </div>
                    <div class="col-md-12 col-sm-12 col-xs-12" data-ng-class="{'has-error':contactForm.Subject.$error.required && vm.onClickValidation}">
                        <input type="text" id="msg_subject" name="Subject" class="form-control" placeholder="Subject" required="required" data-ng-model="vm.record.subject">
                        <p class="red" data-ng-if="contactForm.Subject.$error.required && vm.onClickValidation">Subject is required </p>
                    </div>
                    <div class="col-md-12 col-sm-12 col-xs-12" data-ng-class="{'has-error':contactForm.Message.$error.required && vm.onClickValidation}">
                        <textarea id="message" name="Message" rows="7" placeholder="Message" class="form-control" required="required" data-ng-model="vm.record.message"></textarea>
                        <p class="red" data-ng-if="contactForm.Message.$error.required && vm.onClickValidation">Message is required </p>
                    </div>
                    <div class="col-md-12 col-sm-12 col-xs-12 text-center" style="margin-top:12px;">
                        <a href="#" class="contact-btn" role="menuitem" data-ng-click="vm.save(contactForm.$valid)" data-ng-disabled="vm.disableButton">
                            <i class="fa fa-spinner" aria-hidden="true" data-ng-show="vm.disableButton"></i>
                            Submit
                            <i class="icon-arrow-right14 ml-2">
                            </i>
                        </a>
                        <div class="clearfix"></div>
                    </div>
                </form>
            </div>
        </div>
    </div>
</div>
<!--Contact Form End-->